Name:		pion-net
Version:	4.0.7
Release:	4%{?dist}
Summary:	C++ library for building lightweight HTTP interfaces

License:	Boost
URL:		http://www.pion.org/projects/pion-network-library
Source0:	http://www.pion.org/files/pion-net-%{version}.tar.bz2

BuildRequires:	boost-devel >= 1.35.0, openssl-devel, log4cpp-devel
BuildRequires:	doxygen, autoconf, automake, libtool

Patch0:		pion-net-asio-compatibility.patch
Patch1:		pion-net-boost-compatibility.patch
Patch2:		pion-net-cflags.patch
Patch3:		pion-net-pkgconfig.patch

%description
Pion Network Library is a C++ framework for building lightweight HTTP
interfaces.

%package	devel
Summary:	Development files for pion-net
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	boost-devel >= 1.35.0, openssl-devel, log4cpp-devel

%description devel
This package contains the pkgconfig, header files, and libraries needed to
develop application that use pion-net.

%package	doc
Summary:	Documentation for pion-net
BuildArch:	noarch

%description doc
This package contains Doxygen HTML documentation for pion-net library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
./autogen.sh
%configure \
	--with-plugins=%{_libdir}/pion/plugins \
	--with-boost-extension=-mt \
	--with-pic \
	--disable-static \
	--without-bzlib \
	--without-zlib \
	--with-openssl \
	--with-log4cpp

make %{?_smp_mflags}

# regenerate upstream documentation
make doxygen-clean
make doxygen-run


%install
make install DESTDIR=%{buildroot}

# delete example apps
rm -f %{buildroot}%{_bindir}/PionHelloServer
rm -f %{buildroot}%{_bindir}/PionWebServer

# delete libtool archives
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/pion/plugins/*.la

# install documentation
install -d -m 0755 %{buildroot}%{_docdir}/pion-net-doc-%{version}
cp -arv net/doc/html %{buildroot}%{_docdir}/pion-net-doc-%{version}


%check
make check


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING NEWS TODO
%dir %{_libdir}/pion
%dir %{_libdir}/pion/plugins
%{_libdir}/libpion-common-*.so
%{_libdir}/libpion-net-*.so
%{_libdir}/pion/plugins/*.so


%files devel
%{_includedir}/pion/
%{_libdir}/pkgconfig/pion-net.pc
%{_libdir}/libpion-common.so
%{_libdir}/libpion-net.so


%files doc
%doc %{_docdir}/pion-net-doc-%{version}/


%changelog
* Mon Nov 28 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-4
- fix Source URL to include version tag
- remove bzlib2 and zlib dependencies (no reference in source code)

* Wed Nov 23 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-3
- remove documentation from the base package
- fix typo in configure option (--with-pic)
- remove libicu-devel from BuildRequires
- fix automake not to replace Fedora compiler flags
- migrate the library to use Boost Filesystem version 3
- add -devel package Requires
- move unversioned .so files to -devel package

* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-2
- change Summary to be more eglible
- do not explicitly clean buildroot before installation
- include orphaned directories
- fix -devel package requirements
- fix -doc package requirements

* Tue Nov 15 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-1
- initial package for Fedora
